# Uses of Interface
org.codehaus.janino.Java.Annotation

Packages that use Java.Annotation
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.Annotation in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.Annotation
Modifier and Type
Class
Description
`static class`
`Java.AbstractAnnotation`
Convenience class.
`static final class`
`Java.MarkerAnnotation`
Representation of a "marker annotation", i.e.
`static final class`
`Java.NormalAnnotation`
A "normal annotation", i.e.
`static final class`
`Java.SingleElementAnnotation`
Representation of a "single-element annotation", i.e.
Fields in org.codehaus.janino declared as Java.Annotation
Modifier and Type
Field
Description
`final Java.Annotation[]`
Java.ReferenceType.`annotations`
The "type annotations" of this type, see JLS9, 9.7.4.
Methods in org.codehaus.janino that return Java.Annotation
Modifier and Type
Method
Description
`Java.Annotation[]`
Java.AbstractTypeBodyDeclaration.`getAnnotations()`
`Java.Annotation[]`
Java.AbstractTypeDeclaration.`getAnnotations()`
`Java.Annotation[]`
Java.Annotatable.`getAnnotations()`
`Java.Annotation[]`
Java.FieldDeclaration.`getAnnotations()`
`Java.Annotation[]`
Java.FunctionDeclarator.`getAnnotations()`
`Java.Annotation[]`
Java.PackageMemberInterfaceDeclaration.`getAnnotations()`
Methods in org.codehaus.janino with parameters of type Java.Annotation
Modifier and Type
Method
Description
`R`
Visitor.ElementValueVisitor.`visitAnnotation(Java.Annotation a)`
Invoked by `Java.ElementValue.accept(Visitor.ElementValueVisitor)`
Constructors in org.codehaus.janino with parameters of type Java.Annotation
Modifier
Constructor
Description
``
`ReferenceType(Location location, Java.Annotation[] annotations, String[] identifiers, Java.TypeArgument[] typeArguments)`

## Uses of Java.Annotation in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.Annotation
Modifier and Type
Method
Description
`Java.Annotation`
DeepCopier.`copyAnnotation(Java.Annotation subject)`
`Java.Annotation[]`
DeepCopier.`copyAnnotations(Java.Annotation[] subject)`
`Java.Annotation`
DeepCopier.`copyMarkerAnnotation(Java.MarkerAnnotation subject)`
`Java.Annotation`
DeepCopier.`copyNormalAnnotation(Java.NormalAnnotation subject)`
`Java.Annotation`
DeepCopier.`copySingleElementAnnotation(Java.SingleElementAnnotation subject)`
Methods in org.codehaus.janino.util with parameters of type Java.Annotation
Modifier and Type
Method
Description
`Java.Annotation`
DeepCopier.`copyAnnotation(Java.Annotation subject)`
`Java.Annotation[]`
DeepCopier.`copyAnnotations(Java.Annotation[] subject)`
`void`
AbstractTraverser.`traverseAnnotation(Java.Annotation a)`
`void`
Traverser.`traverseAnnotation(Java.Annotation a)`
`void`
AbstractTraverser.`visitAnnotation(Java.Annotation a)`
`void`
Traverser.`visitAnnotation(Java.Annotation a)`